package com.l7tech.helloworld;

import android.os.Bundle;

import com.l7tech.msso.MobileSsoConfig;

import java.util.ArrayList;
import java.util.Arrays;

/**
 * Created by awitrisna on 05/12/14.
 */

public class Config {

    // URI of our web service that downloads a product list in JSON format
    static final String PRODUCT_LIST_DOWNLOAD_URI;

    // Token server configuration
    static final Bundle ssoConf;

    static {

        //MAG Sdk Configuration
        Bundle hawking = new Bundle();

        hawking.putString(MobileSsoConfig.PROP_TOKEN_HOSTNAME, "hawking.l7tech.com");
        hawking.putString(MobileSsoConfig.PROP_TOKEN_URI_PREFIX, "");
        hawking.putString(MobileSsoConfig.PROP_ORGANIZATION, "Android Test LTD");
        hawking.putString(MobileSsoConfig.PROP_CLIENT_ID, "3f27bb4f-b5aa-458b-962b-14d352b7977c");
        hawking.putString(MobileSsoConfig.PROP_OAUTH_SCOPE, "openid");
        hawking.putBoolean(MobileSsoConfig.PROP_SSO_ENABLED, true);
        hawking.putBoolean(MobileSsoConfig.PROP_LOCATION_ENABLED, false);
        hawking.putBoolean(MobileSsoConfig.PROP_MSISDN_ENABLED, false);

        hawking.putBoolean(MobileSsoConfig.PROP_TRUSTED_PUBLIC_PKI, true);

        hawking.putStringArrayList(MobileSsoConfig.PROP_TRUSTED_CERTS_PEM, new ArrayList<String>(Arrays.asList(

                "-----BEGIN CERTIFICATE-----\n" +
                        "MIIC/jCCAeagAwIBAgIIdU6m6p4aUewwDQYJKoZIhvcNAQEMBQAwHTEbMBkGA1UE\n" +
                        "AxMSaGF3a2luZy5sN3RlY2guY29tMB4XDTE0MDgxODE3MzI1NloXDTI0MDgxNTE3\n" +
                        "MzI1NlowHTEbMBkGA1UEAxMSaGF3a2luZy5sN3RlY2guY29tMIIBIjANBgkqhkiG\n" +
                        "9w0BAQEFAAOCAQ8AMIIBCgKCAQEAyfFMcKcxqMb4ZKY1EqXTqdLh5JERuX78y+4U\n" +
                        "qHLt61SP8PWE5UIArmsQad2XMT4FwwNRZEc62m1sHHmhGaNgijtbAGJdC+sSZYEq\n" +
                        "JSrLB0yDarIFyptytNK6lfFSLsFuoOh39mFvb11ydD/eUHbDviD3mpjOpmFNMy6B\n" +
                        "fRYuc4ULd72I0LGm3DKqbU61GEs2lG47CxSbZPjydKvlhQRx245BoWGlWkx4Y982\n" +
                        "462LILWFIsFPnsfPCmiyM4ALU2VgWO2AhgfkrTDw9MlHAdxcXGtGLQawh/NkSyyW\n" +
                        "cJw8TfNPHmLEUucuj73mEoXVvB1gAXTgBGZzg0VYlVq5ewleQwIDAQABo0IwQDAd\n" +
                        "BgNVHQ4EFgQUFSYIOwgYpiIj9PpLz4AWt4dsCL0wHwYDVR0jBBgwFoAUFSYIOwgY\n" +
                        "piIj9PpLz4AWt4dsCL0wDQYJKoZIhvcNAQEMBQADggEBADLsU2BAyHUNHX9rkSIs\n" +
                        "4yWgzSR7uJzlnaHebPJNRSG7uc1PB4UEZPD4NsghVyQEGwwTG5aqP+9aeKcfUZ2x\n" +
                        "sz3KknRLCYDan6yrD0J8cRiSafL8ng7Ta7hHEajtoFr21k/yPtCVhDnFkFSxP753\n" +
                        "yaTYGOpEW3LCWqbZ8OhhLz4kwRJ861GtGlLqNBGItNgXE7019vmx1rgp+WJ+eX0z\n" +
                        "JT4JL/eSbENlKbgu8XLjq3GTdNJaHaIgmRgjE25PYiuVmomdoEd4EEiP10YIKlA8\n" +
                        "KWLBPGRV8t4wdb3MBbqGW9Uufaed3nlEtr5U/pxMtDrFgvFS11EjfSnN+ybEYFkq\n" +
                        "BLQ=\n" +
                        "-----END CERTIFICATE-----"
        )));
        hawking.putString(MobileSsoConfig.PROP_AUTHORIZE_REDIRECT_URI, "https://android.ssosdk.ca.com/android");

        //Set the config
        ssoConf = hawking;

        //Sample endpoint
        PRODUCT_LIST_DOWNLOAD_URI = "https://" + ssoConf.getString(MobileSsoConfig.PROP_TOKEN_HOSTNAME) +
                ":8443/protected/resource/products?operation=listProducts";

    }
}
