/*
 * Created by awitrisna on 2013-11-15.
 * Copyright (c) 2013 CA Technologies. All rights reserved.
 */

package com.l7tech.helloworld;

import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.GridLayout;
import android.widget.ImageButton;
import android.widget.LinearLayout;

import com.l7tech.msso.auth.QRCode;
import com.l7tech.msso.gui.AbstractLogonActivity;

import java.util.List;

public class CustomLogonActivity extends AbstractLogonActivity {

    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.customlogon);
        final Button logonButton = (Button) findViewById(R.id.btnlogin);
            logonButton.setOnClickListener(new View.OnClickListener() {
                @Override
                public void onClick(View v) {
                    final String username = ((EditText) findViewById(R.id.etxtname)).getText().toString();
                    final String password = ((EditText) findViewById(R.id.etxtpass)).getText().toString();

                    sendCredentialsIntent(username, password);

                    setResult(RESULT_OK);
                    finish();
                }
            });

        final LinearLayout qr = (LinearLayout) findViewById(R.id.qrcode);

        List<View> providers = getProviders();

        GridLayout gridLayout = (GridLayout) findViewById(R.id.socialLoginGridLayout);

        if (!providers.isEmpty()) {
            for (final View provider : providers) {
                if (provider instanceof ImageButton) {
                    gridLayout.addView(provider);
                } else if (provider instanceof QRCode) {
                    qr.addView(provider);
                }
            }
        }
    }
}