package com.l7tech.helloworld;

import android.app.Activity;
import android.os.Bundle;
import android.os.ResultReceiver;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

import com.l7tech.msso.EnterpriseApp;
import com.l7tech.msso.MobileSso;
import com.l7tech.msso.MobileSsoFactory;
import com.l7tech.msso.service.MssoClient;
import com.l7tech.msso.service.MssoIntents;

import org.apache.http.HttpResponse;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.util.EntityUtils;

import java.io.IOException;


public class MainActivity extends Activity {

    private MobileSso mobileSso;
    private TextView textView;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        mobileSso = MobileSsoFactory.getInstance(this, Config.ssoConf);

        final String endpoint = "https://hawking.l7tech.com:8443/helloworld";

        Button button = (Button) findViewById(R.id.button);
        textView = (TextView) findViewById(R.id.textView);


        Button launchEnterpriseBrowser = (Button) findViewById(R.id.button2);
        launchEnterpriseBrowser.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                EnterpriseApp.getInstance().processEnterpriseApp(MainActivity.this, new ResultReceiver(null) {

                    @Override
                    protected void onReceiveResult(int resultCode, Bundle resultData) {
                        if (resultCode != MssoIntents.RESULT_CODE_SUCCESS) {
                        }
                    }
                });
            }
        });

        button.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                textView.setText("");
                mobileSso.processRequest(new HttpGet(endpoint), new ResultReceiver(null) {
                    @Override
                    protected void onReceiveResult(int resultCode, Bundle resultData) {
                        long requestId = resultData.getLong(MssoIntents.RESULT_REQUEST_ID);

                        if (resultCode != MssoIntents.RESULT_CODE_SUCCESS) {
                            print(resultData.getString(MssoIntents.RESULT_ERROR_MESSAGE));
                        } else {
                            final HttpResponse httpResponse = MssoClient.takeResponse(requestId);
                            if (httpResponse != null) {
                                try {
                                    print(EntityUtils.toString(httpResponse.getEntity()));
                                } catch (IOException e) {
                                    print(e.getMessage());
                                }
                            }
                        }
                    }
                });
            }
        });
    }

    private void print(final String msg) {
        this.runOnUiThread(new Runnable() {
            @Override
            public void run() {
                textView.setText(msg);
            }
        });

    }

    @Override
    protected void onResume() {
        super.onResume();
        if (mobileSso != null) {
            mobileSso.processPendingRequests();
        }
    }


}
